@import "vars";

$gap: 10px;

#status-bar {
    z-index: 2;
    position: fixed;

    @include statusBar($statusBarHeight, $gap);

    #menu-status {
        padding-left: $gap;
        border-left: 1px solid #696969;

        > li {
            width: $statusBarHeight;
            height: calc(#{$statusBarHeight} - 1px);

            transition:
                background .3s ease,
                box-shadow .3s ease
            ;

            border-radius: 4px;
            position: relative;

            > * {
                @include centered(75%, 75%);
            }
        }
    }

    #report-status {
        padding-left: 5px;
        padding-right: 15px;

        > li {
            width: fit-content;

            @include flexCenter;

            & [report-prop="name"] {
                font-family: "Passion One", cursive;
                font-size: 30px;
            }
        }
    }

    #connection-status {
        margin-right: $gap;
        padding-right: 5px;

        > li {
            width: fit-content;

            @include flexCenter;

            & [report-prop="ping"] {
                color: #717171;
                font-family: "Lucida Console", monospace;

                top: -4px;
                position: relative;

                &:before {
                    top: calc(#{$statusBarHeight} / 14);
                    position: relative;
                    padding-right: 3px;
                }

                &[speed-index="high"]:before {
                    content: url("/res/img/conspeed_high.png");
                }

                &[speed-index="medium"]:before {
                    content: url("/res/img/conspeed_medium.png");
                }

                &[speed-index="low"]:before {
                    content: url("/res/img/conspeed_low.png");
                }

                &[speed-index="no"]:before,
                &:not([speed-index]):before {
                    content: url("/res/img/conspeed_no.png");
                }

                &:after {
                    content: "ms";
                    padding-left: 1px;
                }
            }
        }
    }

    #lifetime-status {
        margin-right: 10px;
        padding-right: 5px;

        &.short-time {
            color: red;
        }

        > li {
            margin-left: 5px;

            @include flexCenter;

            > div {
                display: flex;
                gap: 5px;
            }
        }

        font-family: "Lucida Console", monospace;
        color: #323232;

        [report-prop="lifetime-minutes"]:after {
            content: "m";
            padding-left: 1px;
        }

        [report-prop="lifetime-seconds"]:after {
            content: "s";
            padding-left: 1px;
        }
    }
}